// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package auth_web

import (
	context "context"
	empty "github.com/golang/protobuf/ptypes/empty"
	auth_common "gitlab.com/fcpartners/apis/gen/accounting/v1/auth_common"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// WebAuthServiceClient is the client API for WebAuthService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type WebAuthServiceClient interface {
	GetUser(ctx context.Context, in *GetUserRequest, opts ...grpc.CallOption) (*auth_common.UserBriefInfo, error)
	CreateUser(ctx context.Context, in *CreateUserRequest, opts ...grpc.CallOption) (*auth_common.User, error)
	UpdateUser(ctx context.Context, in *UpdateUserRequest, opts ...grpc.CallOption) (*auth_common.UserBriefInfo, error)
	RegisterEmployee(ctx context.Context, in *RegisterEmployeeRequest, opts ...grpc.CallOption) (*RegisterEmployeeResponse, error)
	UpdateEmployee(ctx context.Context, in *UpdateEmployeeRequest, opts ...grpc.CallOption) (*UpdateEmployeeResponse, error)
	ListEmployee(ctx context.Context, in *ListEmployeeRequest, opts ...grpc.CallOption) (*ListEmployeeResponse, error)
	LockEmployee(ctx context.Context, in *LockEmployeeRequest, opts ...grpc.CallOption) (*LockEmployeeResponse, error)
	UnlockEmployee(ctx context.Context, in *UnlockEmployeeRequest, opts ...grpc.CallOption) (*UnlockEmployeeResponse, error)
	FireEmployee(ctx context.Context, in *FireEmployeeRequest, opts ...grpc.CallOption) (*FireEmployeeResponse, error)
	CheckPassword(ctx context.Context, in *CheckPasswordRequest, opts ...grpc.CallOption) (*CheckPasswordResponse, error)
	InitPasswordReset(ctx context.Context, in *InitPasswordResetRequest, opts ...grpc.CallOption) (*InitPasswordResetResponse, error)
	ValidatePasswordResetToken(ctx context.Context, in *ValidatePasswordResetTokenRequest, opts ...grpc.CallOption) (*ValidatePasswordResetTokenResponse, error)
	ResetPassword(ctx context.Context, in *ResetPasswordRequest, opts ...grpc.CallOption) (*ResetPasswordResponse, error)
	GetUserResetToken(ctx context.Context, in *GetUserResetTokenRequest, opts ...grpc.CallOption) (*GetUserResetTokenResponse, error)
	Login(ctx context.Context, in *LoginRequest, opts ...grpc.CallOption) (*LoginResponse, error)
	Logout(ctx context.Context, in *LogoutRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	ValidateSession(ctx context.Context, in *ValidateSessionRequest, opts ...grpc.CallOption) (*ValidateSessionResponse, error)
	ChangePassword(ctx context.Context, in *ChangePasswordRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	UpdateReferralUrl(ctx context.Context, in *UpdateReferralUrlRequest, opts ...grpc.CallOption) (*UpdateReferralUrlResponse, error)
	ListUser(ctx context.Context, in *ListUserRequest, opts ...grpc.CallOption) (*ListUserResponse, error)
	// User related data
	ListContactPerson(ctx context.Context, in *auth_common.ListContactPersonRequest, opts ...grpc.CallOption) (*auth_common.ListContactPersonResponse, error)
	SaveContactPerson(ctx context.Context, in *auth_common.SaveContactPersonRequest, opts ...grpc.CallOption) (*auth_common.SaveContactPersonResponse, error)
	DeleteContactPerson(ctx context.Context, in *auth_common.DeleteContactPersonRequest, opts ...grpc.CallOption) (*auth_common.DeleteContactPersonResponse, error)
	ListLocation(ctx context.Context, in *auth_common.ListLocationRequest, opts ...grpc.CallOption) (*auth_common.ListLocationResponse, error)
	SaveLocation(ctx context.Context, in *auth_common.SaveLocationRequest, opts ...grpc.CallOption) (*auth_common.SaveLocationResponse, error)
	DeleteLocation(ctx context.Context, in *auth_common.DeleteLocationRequest, opts ...grpc.CallOption) (*auth_common.DeleteLocationResponse, error)
	ListDocument(ctx context.Context, in *auth_common.ListDocumentRequest, opts ...grpc.CallOption) (*auth_common.ListDocumentResponse, error)
	SaveDocument(ctx context.Context, in *auth_common.SaveDocumentRequest, opts ...grpc.CallOption) (*auth_common.SaveDocumentResponse, error)
	DeleteDocument(ctx context.Context, in *auth_common.DeleteDocumentRequest, opts ...grpc.CallOption) (*auth_common.DeleteDocumentResponse, error)
	// Farmer data
	GetDefaultLocation(ctx context.Context, in *auth_common.GetDefaultLocationRequest, opts ...grpc.CallOption) (*auth_common.GetDefaultLocationResponse, error)
	// Agent data
	GetReferralUrl(ctx context.Context, in *GetReferralUrlRequest, opts ...grpc.CallOption) (*GetReferralUrlResponse, error)
	ListReferralUsers(ctx context.Context, in *ListReferralUsersRequest, opts ...grpc.CallOption) (*ListReferralUsersResponse, error)
	// User counterparties
	GetCounterparty(ctx context.Context, in *auth_common.GetCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.GetCounterpartyResponse, error)
	ListCounterparty(ctx context.Context, in *auth_common.ListCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.ListCounterpartyResponse, error)
	SaveCounterparty(ctx context.Context, in *auth_common.SaveCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.SaveCounterpartyResponse, error)
	DeleteCounterparty(ctx context.Context, in *auth_common.DeleteCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.DeleteCounterpartyResponse, error)
	// User counterparty locations
	GetCounterpartyLocation(ctx context.Context, in *auth_common.GetCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.GetCounterpartyLocationResponse, error)
	ListCounterpartyLocation(ctx context.Context, in *auth_common.ListCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.ListCounterpartyLocationResponse, error)
	SaveCounterpartyLocation(ctx context.Context, in *auth_common.SaveCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.SaveCounterpartyLocationResponse, error)
	DeleteCounterpartyLocation(ctx context.Context, in *auth_common.DeleteCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.DeleteCounterpartyLocationResponse, error)
}

type webAuthServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewWebAuthServiceClient(cc grpc.ClientConnInterface) WebAuthServiceClient {
	return &webAuthServiceClient{cc}
}

func (c *webAuthServiceClient) GetUser(ctx context.Context, in *GetUserRequest, opts ...grpc.CallOption) (*auth_common.UserBriefInfo, error) {
	out := new(auth_common.UserBriefInfo)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/GetUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) CreateUser(ctx context.Context, in *CreateUserRequest, opts ...grpc.CallOption) (*auth_common.User, error) {
	out := new(auth_common.User)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/CreateUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) UpdateUser(ctx context.Context, in *UpdateUserRequest, opts ...grpc.CallOption) (*auth_common.UserBriefInfo, error) {
	out := new(auth_common.UserBriefInfo)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/UpdateUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) RegisterEmployee(ctx context.Context, in *RegisterEmployeeRequest, opts ...grpc.CallOption) (*RegisterEmployeeResponse, error) {
	out := new(RegisterEmployeeResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/RegisterEmployee", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) UpdateEmployee(ctx context.Context, in *UpdateEmployeeRequest, opts ...grpc.CallOption) (*UpdateEmployeeResponse, error) {
	out := new(UpdateEmployeeResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/UpdateEmployee", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) ListEmployee(ctx context.Context, in *ListEmployeeRequest, opts ...grpc.CallOption) (*ListEmployeeResponse, error) {
	out := new(ListEmployeeResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/ListEmployee", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) LockEmployee(ctx context.Context, in *LockEmployeeRequest, opts ...grpc.CallOption) (*LockEmployeeResponse, error) {
	out := new(LockEmployeeResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/LockEmployee", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) UnlockEmployee(ctx context.Context, in *UnlockEmployeeRequest, opts ...grpc.CallOption) (*UnlockEmployeeResponse, error) {
	out := new(UnlockEmployeeResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/UnlockEmployee", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) FireEmployee(ctx context.Context, in *FireEmployeeRequest, opts ...grpc.CallOption) (*FireEmployeeResponse, error) {
	out := new(FireEmployeeResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/FireEmployee", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) CheckPassword(ctx context.Context, in *CheckPasswordRequest, opts ...grpc.CallOption) (*CheckPasswordResponse, error) {
	out := new(CheckPasswordResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/CheckPassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) InitPasswordReset(ctx context.Context, in *InitPasswordResetRequest, opts ...grpc.CallOption) (*InitPasswordResetResponse, error) {
	out := new(InitPasswordResetResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/InitPasswordReset", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) ValidatePasswordResetToken(ctx context.Context, in *ValidatePasswordResetTokenRequest, opts ...grpc.CallOption) (*ValidatePasswordResetTokenResponse, error) {
	out := new(ValidatePasswordResetTokenResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/ValidatePasswordResetToken", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) ResetPassword(ctx context.Context, in *ResetPasswordRequest, opts ...grpc.CallOption) (*ResetPasswordResponse, error) {
	out := new(ResetPasswordResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/ResetPassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) GetUserResetToken(ctx context.Context, in *GetUserResetTokenRequest, opts ...grpc.CallOption) (*GetUserResetTokenResponse, error) {
	out := new(GetUserResetTokenResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/GetUserResetToken", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) Login(ctx context.Context, in *LoginRequest, opts ...grpc.CallOption) (*LoginResponse, error) {
	out := new(LoginResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/Login", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) Logout(ctx context.Context, in *LogoutRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/Logout", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) ValidateSession(ctx context.Context, in *ValidateSessionRequest, opts ...grpc.CallOption) (*ValidateSessionResponse, error) {
	out := new(ValidateSessionResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/ValidateSession", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) ChangePassword(ctx context.Context, in *ChangePasswordRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/ChangePassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) UpdateReferralUrl(ctx context.Context, in *UpdateReferralUrlRequest, opts ...grpc.CallOption) (*UpdateReferralUrlResponse, error) {
	out := new(UpdateReferralUrlResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/UpdateReferralUrl", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) ListUser(ctx context.Context, in *ListUserRequest, opts ...grpc.CallOption) (*ListUserResponse, error) {
	out := new(ListUserResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/ListUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) ListContactPerson(ctx context.Context, in *auth_common.ListContactPersonRequest, opts ...grpc.CallOption) (*auth_common.ListContactPersonResponse, error) {
	out := new(auth_common.ListContactPersonResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/ListContactPerson", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) SaveContactPerson(ctx context.Context, in *auth_common.SaveContactPersonRequest, opts ...grpc.CallOption) (*auth_common.SaveContactPersonResponse, error) {
	out := new(auth_common.SaveContactPersonResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/SaveContactPerson", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) DeleteContactPerson(ctx context.Context, in *auth_common.DeleteContactPersonRequest, opts ...grpc.CallOption) (*auth_common.DeleteContactPersonResponse, error) {
	out := new(auth_common.DeleteContactPersonResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/DeleteContactPerson", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) ListLocation(ctx context.Context, in *auth_common.ListLocationRequest, opts ...grpc.CallOption) (*auth_common.ListLocationResponse, error) {
	out := new(auth_common.ListLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/ListLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) SaveLocation(ctx context.Context, in *auth_common.SaveLocationRequest, opts ...grpc.CallOption) (*auth_common.SaveLocationResponse, error) {
	out := new(auth_common.SaveLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/SaveLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) DeleteLocation(ctx context.Context, in *auth_common.DeleteLocationRequest, opts ...grpc.CallOption) (*auth_common.DeleteLocationResponse, error) {
	out := new(auth_common.DeleteLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/DeleteLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) ListDocument(ctx context.Context, in *auth_common.ListDocumentRequest, opts ...grpc.CallOption) (*auth_common.ListDocumentResponse, error) {
	out := new(auth_common.ListDocumentResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/ListDocument", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) SaveDocument(ctx context.Context, in *auth_common.SaveDocumentRequest, opts ...grpc.CallOption) (*auth_common.SaveDocumentResponse, error) {
	out := new(auth_common.SaveDocumentResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/SaveDocument", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) DeleteDocument(ctx context.Context, in *auth_common.DeleteDocumentRequest, opts ...grpc.CallOption) (*auth_common.DeleteDocumentResponse, error) {
	out := new(auth_common.DeleteDocumentResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/DeleteDocument", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) GetDefaultLocation(ctx context.Context, in *auth_common.GetDefaultLocationRequest, opts ...grpc.CallOption) (*auth_common.GetDefaultLocationResponse, error) {
	out := new(auth_common.GetDefaultLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/GetDefaultLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) GetReferralUrl(ctx context.Context, in *GetReferralUrlRequest, opts ...grpc.CallOption) (*GetReferralUrlResponse, error) {
	out := new(GetReferralUrlResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/GetReferralUrl", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) ListReferralUsers(ctx context.Context, in *ListReferralUsersRequest, opts ...grpc.CallOption) (*ListReferralUsersResponse, error) {
	out := new(ListReferralUsersResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/ListReferralUsers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) GetCounterparty(ctx context.Context, in *auth_common.GetCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.GetCounterpartyResponse, error) {
	out := new(auth_common.GetCounterpartyResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/GetCounterparty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) ListCounterparty(ctx context.Context, in *auth_common.ListCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.ListCounterpartyResponse, error) {
	out := new(auth_common.ListCounterpartyResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/ListCounterparty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) SaveCounterparty(ctx context.Context, in *auth_common.SaveCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.SaveCounterpartyResponse, error) {
	out := new(auth_common.SaveCounterpartyResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/SaveCounterparty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) DeleteCounterparty(ctx context.Context, in *auth_common.DeleteCounterpartyRequest, opts ...grpc.CallOption) (*auth_common.DeleteCounterpartyResponse, error) {
	out := new(auth_common.DeleteCounterpartyResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/DeleteCounterparty", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) GetCounterpartyLocation(ctx context.Context, in *auth_common.GetCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.GetCounterpartyLocationResponse, error) {
	out := new(auth_common.GetCounterpartyLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/GetCounterpartyLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) ListCounterpartyLocation(ctx context.Context, in *auth_common.ListCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.ListCounterpartyLocationResponse, error) {
	out := new(auth_common.ListCounterpartyLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/ListCounterpartyLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) SaveCounterpartyLocation(ctx context.Context, in *auth_common.SaveCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.SaveCounterpartyLocationResponse, error) {
	out := new(auth_common.SaveCounterpartyLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/SaveCounterpartyLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *webAuthServiceClient) DeleteCounterpartyLocation(ctx context.Context, in *auth_common.DeleteCounterpartyLocationRequest, opts ...grpc.CallOption) (*auth_common.DeleteCounterpartyLocationResponse, error) {
	out := new(auth_common.DeleteCounterpartyLocationResponse)
	err := c.cc.Invoke(ctx, "/fcp.accounting.v1.auth_web.WebAuthService/DeleteCounterpartyLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// WebAuthServiceServer is the server API for WebAuthService service.
// All implementations must embed UnimplementedWebAuthServiceServer
// for forward compatibility
type WebAuthServiceServer interface {
	GetUser(context.Context, *GetUserRequest) (*auth_common.UserBriefInfo, error)
	CreateUser(context.Context, *CreateUserRequest) (*auth_common.User, error)
	UpdateUser(context.Context, *UpdateUserRequest) (*auth_common.UserBriefInfo, error)
	RegisterEmployee(context.Context, *RegisterEmployeeRequest) (*RegisterEmployeeResponse, error)
	UpdateEmployee(context.Context, *UpdateEmployeeRequest) (*UpdateEmployeeResponse, error)
	ListEmployee(context.Context, *ListEmployeeRequest) (*ListEmployeeResponse, error)
	LockEmployee(context.Context, *LockEmployeeRequest) (*LockEmployeeResponse, error)
	UnlockEmployee(context.Context, *UnlockEmployeeRequest) (*UnlockEmployeeResponse, error)
	FireEmployee(context.Context, *FireEmployeeRequest) (*FireEmployeeResponse, error)
	CheckPassword(context.Context, *CheckPasswordRequest) (*CheckPasswordResponse, error)
	InitPasswordReset(context.Context, *InitPasswordResetRequest) (*InitPasswordResetResponse, error)
	ValidatePasswordResetToken(context.Context, *ValidatePasswordResetTokenRequest) (*ValidatePasswordResetTokenResponse, error)
	ResetPassword(context.Context, *ResetPasswordRequest) (*ResetPasswordResponse, error)
	GetUserResetToken(context.Context, *GetUserResetTokenRequest) (*GetUserResetTokenResponse, error)
	Login(context.Context, *LoginRequest) (*LoginResponse, error)
	Logout(context.Context, *LogoutRequest) (*empty.Empty, error)
	ValidateSession(context.Context, *ValidateSessionRequest) (*ValidateSessionResponse, error)
	ChangePassword(context.Context, *ChangePasswordRequest) (*empty.Empty, error)
	UpdateReferralUrl(context.Context, *UpdateReferralUrlRequest) (*UpdateReferralUrlResponse, error)
	ListUser(context.Context, *ListUserRequest) (*ListUserResponse, error)
	// User related data
	ListContactPerson(context.Context, *auth_common.ListContactPersonRequest) (*auth_common.ListContactPersonResponse, error)
	SaveContactPerson(context.Context, *auth_common.SaveContactPersonRequest) (*auth_common.SaveContactPersonResponse, error)
	DeleteContactPerson(context.Context, *auth_common.DeleteContactPersonRequest) (*auth_common.DeleteContactPersonResponse, error)
	ListLocation(context.Context, *auth_common.ListLocationRequest) (*auth_common.ListLocationResponse, error)
	SaveLocation(context.Context, *auth_common.SaveLocationRequest) (*auth_common.SaveLocationResponse, error)
	DeleteLocation(context.Context, *auth_common.DeleteLocationRequest) (*auth_common.DeleteLocationResponse, error)
	ListDocument(context.Context, *auth_common.ListDocumentRequest) (*auth_common.ListDocumentResponse, error)
	SaveDocument(context.Context, *auth_common.SaveDocumentRequest) (*auth_common.SaveDocumentResponse, error)
	DeleteDocument(context.Context, *auth_common.DeleteDocumentRequest) (*auth_common.DeleteDocumentResponse, error)
	// Farmer data
	GetDefaultLocation(context.Context, *auth_common.GetDefaultLocationRequest) (*auth_common.GetDefaultLocationResponse, error)
	// Agent data
	GetReferralUrl(context.Context, *GetReferralUrlRequest) (*GetReferralUrlResponse, error)
	ListReferralUsers(context.Context, *ListReferralUsersRequest) (*ListReferralUsersResponse, error)
	// User counterparties
	GetCounterparty(context.Context, *auth_common.GetCounterpartyRequest) (*auth_common.GetCounterpartyResponse, error)
	ListCounterparty(context.Context, *auth_common.ListCounterpartyRequest) (*auth_common.ListCounterpartyResponse, error)
	SaveCounterparty(context.Context, *auth_common.SaveCounterpartyRequest) (*auth_common.SaveCounterpartyResponse, error)
	DeleteCounterparty(context.Context, *auth_common.DeleteCounterpartyRequest) (*auth_common.DeleteCounterpartyResponse, error)
	// User counterparty locations
	GetCounterpartyLocation(context.Context, *auth_common.GetCounterpartyLocationRequest) (*auth_common.GetCounterpartyLocationResponse, error)
	ListCounterpartyLocation(context.Context, *auth_common.ListCounterpartyLocationRequest) (*auth_common.ListCounterpartyLocationResponse, error)
	SaveCounterpartyLocation(context.Context, *auth_common.SaveCounterpartyLocationRequest) (*auth_common.SaveCounterpartyLocationResponse, error)
	DeleteCounterpartyLocation(context.Context, *auth_common.DeleteCounterpartyLocationRequest) (*auth_common.DeleteCounterpartyLocationResponse, error)
	mustEmbedUnimplementedWebAuthServiceServer()
}

// UnimplementedWebAuthServiceServer must be embedded to have forward compatible implementations.
type UnimplementedWebAuthServiceServer struct {
}

func (UnimplementedWebAuthServiceServer) GetUser(context.Context, *GetUserRequest) (*auth_common.UserBriefInfo, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUser not implemented")
}
func (UnimplementedWebAuthServiceServer) CreateUser(context.Context, *CreateUserRequest) (*auth_common.User, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateUser not implemented")
}
func (UnimplementedWebAuthServiceServer) UpdateUser(context.Context, *UpdateUserRequest) (*auth_common.UserBriefInfo, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateUser not implemented")
}
func (UnimplementedWebAuthServiceServer) RegisterEmployee(context.Context, *RegisterEmployeeRequest) (*RegisterEmployeeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RegisterEmployee not implemented")
}
func (UnimplementedWebAuthServiceServer) UpdateEmployee(context.Context, *UpdateEmployeeRequest) (*UpdateEmployeeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateEmployee not implemented")
}
func (UnimplementedWebAuthServiceServer) ListEmployee(context.Context, *ListEmployeeRequest) (*ListEmployeeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListEmployee not implemented")
}
func (UnimplementedWebAuthServiceServer) LockEmployee(context.Context, *LockEmployeeRequest) (*LockEmployeeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LockEmployee not implemented")
}
func (UnimplementedWebAuthServiceServer) UnlockEmployee(context.Context, *UnlockEmployeeRequest) (*UnlockEmployeeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UnlockEmployee not implemented")
}
func (UnimplementedWebAuthServiceServer) FireEmployee(context.Context, *FireEmployeeRequest) (*FireEmployeeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FireEmployee not implemented")
}
func (UnimplementedWebAuthServiceServer) CheckPassword(context.Context, *CheckPasswordRequest) (*CheckPasswordResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CheckPassword not implemented")
}
func (UnimplementedWebAuthServiceServer) InitPasswordReset(context.Context, *InitPasswordResetRequest) (*InitPasswordResetResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method InitPasswordReset not implemented")
}
func (UnimplementedWebAuthServiceServer) ValidatePasswordResetToken(context.Context, *ValidatePasswordResetTokenRequest) (*ValidatePasswordResetTokenResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ValidatePasswordResetToken not implemented")
}
func (UnimplementedWebAuthServiceServer) ResetPassword(context.Context, *ResetPasswordRequest) (*ResetPasswordResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ResetPassword not implemented")
}
func (UnimplementedWebAuthServiceServer) GetUserResetToken(context.Context, *GetUserResetTokenRequest) (*GetUserResetTokenResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUserResetToken not implemented")
}
func (UnimplementedWebAuthServiceServer) Login(context.Context, *LoginRequest) (*LoginResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Login not implemented")
}
func (UnimplementedWebAuthServiceServer) Logout(context.Context, *LogoutRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Logout not implemented")
}
func (UnimplementedWebAuthServiceServer) ValidateSession(context.Context, *ValidateSessionRequest) (*ValidateSessionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ValidateSession not implemented")
}
func (UnimplementedWebAuthServiceServer) ChangePassword(context.Context, *ChangePasswordRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ChangePassword not implemented")
}
func (UnimplementedWebAuthServiceServer) UpdateReferralUrl(context.Context, *UpdateReferralUrlRequest) (*UpdateReferralUrlResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateReferralUrl not implemented")
}
func (UnimplementedWebAuthServiceServer) ListUser(context.Context, *ListUserRequest) (*ListUserResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListUser not implemented")
}
func (UnimplementedWebAuthServiceServer) ListContactPerson(context.Context, *auth_common.ListContactPersonRequest) (*auth_common.ListContactPersonResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListContactPerson not implemented")
}
func (UnimplementedWebAuthServiceServer) SaveContactPerson(context.Context, *auth_common.SaveContactPersonRequest) (*auth_common.SaveContactPersonResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveContactPerson not implemented")
}
func (UnimplementedWebAuthServiceServer) DeleteContactPerson(context.Context, *auth_common.DeleteContactPersonRequest) (*auth_common.DeleteContactPersonResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteContactPerson not implemented")
}
func (UnimplementedWebAuthServiceServer) ListLocation(context.Context, *auth_common.ListLocationRequest) (*auth_common.ListLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListLocation not implemented")
}
func (UnimplementedWebAuthServiceServer) SaveLocation(context.Context, *auth_common.SaveLocationRequest) (*auth_common.SaveLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveLocation not implemented")
}
func (UnimplementedWebAuthServiceServer) DeleteLocation(context.Context, *auth_common.DeleteLocationRequest) (*auth_common.DeleteLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteLocation not implemented")
}
func (UnimplementedWebAuthServiceServer) ListDocument(context.Context, *auth_common.ListDocumentRequest) (*auth_common.ListDocumentResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDocument not implemented")
}
func (UnimplementedWebAuthServiceServer) SaveDocument(context.Context, *auth_common.SaveDocumentRequest) (*auth_common.SaveDocumentResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveDocument not implemented")
}
func (UnimplementedWebAuthServiceServer) DeleteDocument(context.Context, *auth_common.DeleteDocumentRequest) (*auth_common.DeleteDocumentResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteDocument not implemented")
}
func (UnimplementedWebAuthServiceServer) GetDefaultLocation(context.Context, *auth_common.GetDefaultLocationRequest) (*auth_common.GetDefaultLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetDefaultLocation not implemented")
}
func (UnimplementedWebAuthServiceServer) GetReferralUrl(context.Context, *GetReferralUrlRequest) (*GetReferralUrlResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetReferralUrl not implemented")
}
func (UnimplementedWebAuthServiceServer) ListReferralUsers(context.Context, *ListReferralUsersRequest) (*ListReferralUsersResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListReferralUsers not implemented")
}
func (UnimplementedWebAuthServiceServer) GetCounterparty(context.Context, *auth_common.GetCounterpartyRequest) (*auth_common.GetCounterpartyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetCounterparty not implemented")
}
func (UnimplementedWebAuthServiceServer) ListCounterparty(context.Context, *auth_common.ListCounterpartyRequest) (*auth_common.ListCounterpartyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListCounterparty not implemented")
}
func (UnimplementedWebAuthServiceServer) SaveCounterparty(context.Context, *auth_common.SaveCounterpartyRequest) (*auth_common.SaveCounterpartyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveCounterparty not implemented")
}
func (UnimplementedWebAuthServiceServer) DeleteCounterparty(context.Context, *auth_common.DeleteCounterpartyRequest) (*auth_common.DeleteCounterpartyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteCounterparty not implemented")
}
func (UnimplementedWebAuthServiceServer) GetCounterpartyLocation(context.Context, *auth_common.GetCounterpartyLocationRequest) (*auth_common.GetCounterpartyLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetCounterpartyLocation not implemented")
}
func (UnimplementedWebAuthServiceServer) ListCounterpartyLocation(context.Context, *auth_common.ListCounterpartyLocationRequest) (*auth_common.ListCounterpartyLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListCounterpartyLocation not implemented")
}
func (UnimplementedWebAuthServiceServer) SaveCounterpartyLocation(context.Context, *auth_common.SaveCounterpartyLocationRequest) (*auth_common.SaveCounterpartyLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveCounterpartyLocation not implemented")
}
func (UnimplementedWebAuthServiceServer) DeleteCounterpartyLocation(context.Context, *auth_common.DeleteCounterpartyLocationRequest) (*auth_common.DeleteCounterpartyLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteCounterpartyLocation not implemented")
}
func (UnimplementedWebAuthServiceServer) mustEmbedUnimplementedWebAuthServiceServer() {}

// UnsafeWebAuthServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to WebAuthServiceServer will
// result in compilation errors.
type UnsafeWebAuthServiceServer interface {
	mustEmbedUnimplementedWebAuthServiceServer()
}

func RegisterWebAuthServiceServer(s grpc.ServiceRegistrar, srv WebAuthServiceServer) {
	s.RegisterService(&WebAuthService_ServiceDesc, srv)
}

func _WebAuthService_GetUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).GetUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/GetUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).GetUser(ctx, req.(*GetUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_CreateUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).CreateUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/CreateUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).CreateUser(ctx, req.(*CreateUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_UpdateUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).UpdateUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/UpdateUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).UpdateUser(ctx, req.(*UpdateUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_RegisterEmployee_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RegisterEmployeeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).RegisterEmployee(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/RegisterEmployee",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).RegisterEmployee(ctx, req.(*RegisterEmployeeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_UpdateEmployee_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateEmployeeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).UpdateEmployee(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/UpdateEmployee",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).UpdateEmployee(ctx, req.(*UpdateEmployeeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_ListEmployee_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListEmployeeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).ListEmployee(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/ListEmployee",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).ListEmployee(ctx, req.(*ListEmployeeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_LockEmployee_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LockEmployeeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).LockEmployee(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/LockEmployee",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).LockEmployee(ctx, req.(*LockEmployeeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_UnlockEmployee_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UnlockEmployeeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).UnlockEmployee(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/UnlockEmployee",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).UnlockEmployee(ctx, req.(*UnlockEmployeeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_FireEmployee_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FireEmployeeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).FireEmployee(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/FireEmployee",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).FireEmployee(ctx, req.(*FireEmployeeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_CheckPassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CheckPasswordRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).CheckPassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/CheckPassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).CheckPassword(ctx, req.(*CheckPasswordRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_InitPasswordReset_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InitPasswordResetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).InitPasswordReset(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/InitPasswordReset",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).InitPasswordReset(ctx, req.(*InitPasswordResetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_ValidatePasswordResetToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ValidatePasswordResetTokenRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).ValidatePasswordResetToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/ValidatePasswordResetToken",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).ValidatePasswordResetToken(ctx, req.(*ValidatePasswordResetTokenRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_ResetPassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ResetPasswordRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).ResetPassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/ResetPassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).ResetPassword(ctx, req.(*ResetPasswordRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_GetUserResetToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUserResetTokenRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).GetUserResetToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/GetUserResetToken",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).GetUserResetToken(ctx, req.(*GetUserResetTokenRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_Login_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).Login(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/Login",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).Login(ctx, req.(*LoginRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_Logout_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LogoutRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).Logout(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/Logout",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).Logout(ctx, req.(*LogoutRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_ValidateSession_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ValidateSessionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).ValidateSession(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/ValidateSession",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).ValidateSession(ctx, req.(*ValidateSessionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_ChangePassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ChangePasswordRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).ChangePassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/ChangePassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).ChangePassword(ctx, req.(*ChangePasswordRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_UpdateReferralUrl_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateReferralUrlRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).UpdateReferralUrl(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/UpdateReferralUrl",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).UpdateReferralUrl(ctx, req.(*UpdateReferralUrlRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_ListUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).ListUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/ListUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).ListUser(ctx, req.(*ListUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_ListContactPerson_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListContactPersonRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).ListContactPerson(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/ListContactPerson",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).ListContactPerson(ctx, req.(*auth_common.ListContactPersonRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_SaveContactPerson_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveContactPersonRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).SaveContactPerson(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/SaveContactPerson",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).SaveContactPerson(ctx, req.(*auth_common.SaveContactPersonRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_DeleteContactPerson_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.DeleteContactPersonRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).DeleteContactPerson(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/DeleteContactPerson",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).DeleteContactPerson(ctx, req.(*auth_common.DeleteContactPersonRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_ListLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).ListLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/ListLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).ListLocation(ctx, req.(*auth_common.ListLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_SaveLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).SaveLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/SaveLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).SaveLocation(ctx, req.(*auth_common.SaveLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_DeleteLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.DeleteLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).DeleteLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/DeleteLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).DeleteLocation(ctx, req.(*auth_common.DeleteLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_ListDocument_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListDocumentRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).ListDocument(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/ListDocument",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).ListDocument(ctx, req.(*auth_common.ListDocumentRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_SaveDocument_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveDocumentRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).SaveDocument(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/SaveDocument",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).SaveDocument(ctx, req.(*auth_common.SaveDocumentRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_DeleteDocument_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.DeleteDocumentRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).DeleteDocument(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/DeleteDocument",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).DeleteDocument(ctx, req.(*auth_common.DeleteDocumentRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_GetDefaultLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.GetDefaultLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).GetDefaultLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/GetDefaultLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).GetDefaultLocation(ctx, req.(*auth_common.GetDefaultLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_GetReferralUrl_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetReferralUrlRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).GetReferralUrl(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/GetReferralUrl",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).GetReferralUrl(ctx, req.(*GetReferralUrlRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_ListReferralUsers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListReferralUsersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).ListReferralUsers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/ListReferralUsers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).ListReferralUsers(ctx, req.(*ListReferralUsersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_GetCounterparty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.GetCounterpartyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).GetCounterparty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/GetCounterparty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).GetCounterparty(ctx, req.(*auth_common.GetCounterpartyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_ListCounterparty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListCounterpartyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).ListCounterparty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/ListCounterparty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).ListCounterparty(ctx, req.(*auth_common.ListCounterpartyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_SaveCounterparty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveCounterpartyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).SaveCounterparty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/SaveCounterparty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).SaveCounterparty(ctx, req.(*auth_common.SaveCounterpartyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_DeleteCounterparty_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.DeleteCounterpartyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).DeleteCounterparty(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/DeleteCounterparty",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).DeleteCounterparty(ctx, req.(*auth_common.DeleteCounterpartyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_GetCounterpartyLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.GetCounterpartyLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).GetCounterpartyLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/GetCounterpartyLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).GetCounterpartyLocation(ctx, req.(*auth_common.GetCounterpartyLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_ListCounterpartyLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.ListCounterpartyLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).ListCounterpartyLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/ListCounterpartyLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).ListCounterpartyLocation(ctx, req.(*auth_common.ListCounterpartyLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_SaveCounterpartyLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.SaveCounterpartyLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).SaveCounterpartyLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/SaveCounterpartyLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).SaveCounterpartyLocation(ctx, req.(*auth_common.SaveCounterpartyLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WebAuthService_DeleteCounterpartyLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(auth_common.DeleteCounterpartyLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WebAuthServiceServer).DeleteCounterpartyLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.accounting.v1.auth_web.WebAuthService/DeleteCounterpartyLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WebAuthServiceServer).DeleteCounterpartyLocation(ctx, req.(*auth_common.DeleteCounterpartyLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// WebAuthService_ServiceDesc is the grpc.ServiceDesc for WebAuthService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var WebAuthService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.accounting.v1.auth_web.WebAuthService",
	HandlerType: (*WebAuthServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetUser",
			Handler:    _WebAuthService_GetUser_Handler,
		},
		{
			MethodName: "CreateUser",
			Handler:    _WebAuthService_CreateUser_Handler,
		},
		{
			MethodName: "UpdateUser",
			Handler:    _WebAuthService_UpdateUser_Handler,
		},
		{
			MethodName: "RegisterEmployee",
			Handler:    _WebAuthService_RegisterEmployee_Handler,
		},
		{
			MethodName: "UpdateEmployee",
			Handler:    _WebAuthService_UpdateEmployee_Handler,
		},
		{
			MethodName: "ListEmployee",
			Handler:    _WebAuthService_ListEmployee_Handler,
		},
		{
			MethodName: "LockEmployee",
			Handler:    _WebAuthService_LockEmployee_Handler,
		},
		{
			MethodName: "UnlockEmployee",
			Handler:    _WebAuthService_UnlockEmployee_Handler,
		},
		{
			MethodName: "FireEmployee",
			Handler:    _WebAuthService_FireEmployee_Handler,
		},
		{
			MethodName: "CheckPassword",
			Handler:    _WebAuthService_CheckPassword_Handler,
		},
		{
			MethodName: "InitPasswordReset",
			Handler:    _WebAuthService_InitPasswordReset_Handler,
		},
		{
			MethodName: "ValidatePasswordResetToken",
			Handler:    _WebAuthService_ValidatePasswordResetToken_Handler,
		},
		{
			MethodName: "ResetPassword",
			Handler:    _WebAuthService_ResetPassword_Handler,
		},
		{
			MethodName: "GetUserResetToken",
			Handler:    _WebAuthService_GetUserResetToken_Handler,
		},
		{
			MethodName: "Login",
			Handler:    _WebAuthService_Login_Handler,
		},
		{
			MethodName: "Logout",
			Handler:    _WebAuthService_Logout_Handler,
		},
		{
			MethodName: "ValidateSession",
			Handler:    _WebAuthService_ValidateSession_Handler,
		},
		{
			MethodName: "ChangePassword",
			Handler:    _WebAuthService_ChangePassword_Handler,
		},
		{
			MethodName: "UpdateReferralUrl",
			Handler:    _WebAuthService_UpdateReferralUrl_Handler,
		},
		{
			MethodName: "ListUser",
			Handler:    _WebAuthService_ListUser_Handler,
		},
		{
			MethodName: "ListContactPerson",
			Handler:    _WebAuthService_ListContactPerson_Handler,
		},
		{
			MethodName: "SaveContactPerson",
			Handler:    _WebAuthService_SaveContactPerson_Handler,
		},
		{
			MethodName: "DeleteContactPerson",
			Handler:    _WebAuthService_DeleteContactPerson_Handler,
		},
		{
			MethodName: "ListLocation",
			Handler:    _WebAuthService_ListLocation_Handler,
		},
		{
			MethodName: "SaveLocation",
			Handler:    _WebAuthService_SaveLocation_Handler,
		},
		{
			MethodName: "DeleteLocation",
			Handler:    _WebAuthService_DeleteLocation_Handler,
		},
		{
			MethodName: "ListDocument",
			Handler:    _WebAuthService_ListDocument_Handler,
		},
		{
			MethodName: "SaveDocument",
			Handler:    _WebAuthService_SaveDocument_Handler,
		},
		{
			MethodName: "DeleteDocument",
			Handler:    _WebAuthService_DeleteDocument_Handler,
		},
		{
			MethodName: "GetDefaultLocation",
			Handler:    _WebAuthService_GetDefaultLocation_Handler,
		},
		{
			MethodName: "GetReferralUrl",
			Handler:    _WebAuthService_GetReferralUrl_Handler,
		},
		{
			MethodName: "ListReferralUsers",
			Handler:    _WebAuthService_ListReferralUsers_Handler,
		},
		{
			MethodName: "GetCounterparty",
			Handler:    _WebAuthService_GetCounterparty_Handler,
		},
		{
			MethodName: "ListCounterparty",
			Handler:    _WebAuthService_ListCounterparty_Handler,
		},
		{
			MethodName: "SaveCounterparty",
			Handler:    _WebAuthService_SaveCounterparty_Handler,
		},
		{
			MethodName: "DeleteCounterparty",
			Handler:    _WebAuthService_DeleteCounterparty_Handler,
		},
		{
			MethodName: "GetCounterpartyLocation",
			Handler:    _WebAuthService_GetCounterpartyLocation_Handler,
		},
		{
			MethodName: "ListCounterpartyLocation",
			Handler:    _WebAuthService_ListCounterpartyLocation_Handler,
		},
		{
			MethodName: "SaveCounterpartyLocation",
			Handler:    _WebAuthService_SaveCounterpartyLocation_Handler,
		},
		{
			MethodName: "DeleteCounterpartyLocation",
			Handler:    _WebAuthService_DeleteCounterpartyLocation_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/auth_web/auth_service.proto",
}
